AnnotationControllerReplyAnnotation Method (Guid, AnnotationReplyOptions, NullableGuid) |
POST /Annotation/Reply/{id}
Creates a reply to an annotation.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Reply")]
public HttpResponseMessage ReplyAnnotation(
Guid id,
[FromBodyAttribute] AnnotationReplyOptions options,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Reply")>
Public Function ReplyAnnotation (
id As Guid,
<FromBodyAttribute> options As AnnotationReplyOptions,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Reply")]
HttpResponseMessage^ ReplyAnnotation(
Guid id,
[FromBodyAttribute] AnnotationReplyOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Reply")>]
member ReplyAnnotation :
id : Guid *
[<FromBodyAttribute>] options : AnnotationReplyOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the annotation to reply to. - options
- Type: Dundas.BI.WebApi.ModelsAnnotationReplyOptions
The annotation options to be created. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
A
AnnotationData object, or a status code indicating the problem.
See Also